<ion-content>
    <div class="col-640-container">
        <div class="row">
            <div class="logo">
                <img src='assets/logo.png'>
            </div>
        </div>
        <div class="row">
            <div class="title" id="welcome" *ngIf="!showForm">
                <p>WELCOME</p>
                <h1>Welcome to SiriusSign</h1>
            </div>
            <div class="title" id="welcomeOff" *ngIf="showForm">
                <p> Create new account</p>
            </div>
        </div>
        <div class="row">
            <div id="btn" *ngIf="!showForm">
                <div class="large-btn" tappable (click)="onSignUpWithEmail()">
                    Sign Up with Email
                </div>
                <!-- <ion-button fill="outline" size="large" (click)="goRecovery()">
                    Recover an Account
                </ion-button> -->
            </div>
            <div class="form" id="form" *ngIf="showForm">
                <input id="email" placeholder="Email" type="email" (change)="checkInput()" name="email" autofocus
                    (keyup.enter)="focus('pass')" [(ngModel)]="inputDat.email" />
                <input id="pass" placeholder="Password" type="password" (change)="checkInput()" name="password"
                    (keyup.enter)="focus('confirmpass')" [(ngModel)]="inputDat.inputPass" />
                <input id="confirmpass" placeholder="Confirm password" type="password" (change)="checkInput()"
                    (keyup.enter)="signUp()" name="comfirmpassword" [(ngModel)]="inputDat.verifPass" />
            </div>
        </div>
        <div class="row error-row">
            <p class="error" *ngIf="showForm"> {{errorMess}} </p>
        </div>
        <div class="row" *ngIf="showForm">
            <div class="submit-btn" tappable (click)="signUp()" *ngIf="!isSignUpClicked">Sign Up</div>
            <div *ngIf="isSignUpClicked" class="loading">
                <ion-spinner name="dots" color="light"></ion-spinner>
            </div>
            <div class="back-btn" id="btnBack" *ngIf="!isSignUpClicked">
                <p (click)="showForm=false;" tappable>
                    <ion-icon name="arrow-back" mode="ios"></ion-icon>
                    <span>Back</span>
                </p>
            </div>
        </div>
    </div>

    <div class="foot" *ngIf="!isKeyboardShow">
        <div class="foot-text" id="signin">
            <p>Already have an account? <a tappable (click)="goSignIn()">Sign In</a></p>
        </div>
    </div>
</ion-content>